package com.casic.electric.detector.utils

import android.Manifest


object LocaleConstant {
    val USER_PERMISSIONS = arrayOf(
        Manifest.permission.READ_PHONE_STATE,
        Manifest.permission.ACCESS_COARSE_LOCATION,
        Manifest.permission.ACCESS_FINE_LOCATION,
        Manifest.permission.CAMERA,
        Manifest.permission.READ_MEDIA_IMAGES,
        Manifest.permission.MANAGE_EXTERNAL_STORAGE,
        Manifest.permission.READ_EXTERNAL_STORAGE,
        Manifest.permission.WRITE_EXTERNAL_STORAGE
    )

    const val PERMISSIONS_CODE = 999
    const val RADIUS_SIZE = 100f //相距多少米才聚合，单位：米

    const val AUTO_SAVE = "AUTO_SAVE"
    const val USER_ACCOUNT = "USER_ACCOUNT"
    const val USER_PASSWORD = "USER_PASSWORD"
    const val USER_NAME = "USER_NAME"
    const val USER_ID = "USER_ID"
    const val USER_COMPANY_ID = "USER_COMPANY_ID"
    const val OBJECT_ID = "OBJECT_ID"
    const val TASK_ID = "TASK_ID"
    const val SERVER_IP = "SERVER_IP"
    const val SERVER_PORT = "SERVER_PORT"
    const val APP_AUTHORITY = "com.casic.electric.detector.fileprovider"

    val POPUP_TITLES = arrayOf("更新数据", "下载工单", "关于软件", "事件上报", "标识器补全")
    var CONDITION_ARRAY = arrayOf("种类", "编号", "名称", "所属区域", "所属道路", "运检单位", "责任人", "建设时间", "标识器ID")
    var CONTENT_ARRAY = arrayOf("电缆井", "电缆通道", "配电房", "开关站", "台区", "杆塔")
    var OBJECT_MODE_ARRAY = arrayOf("直线井", "转弯井", "丁字井", "十字井", "其他")
    var WELL_COVER_MATERIAL_ARRAY_1 = arrayOf("水泥盖板", "双重加重铁盖", "普通复合盖", "轻型连盖", "长方铁盖", "其他")
    var WELL_COVER_MATERIAL_ARRAY_2 = arrayOf("水泥杆", "钢管杆", "铁塔", "其他")
    var CABINET_TYPE_ARRAY = arrayOf("无", "SM6", "SAFE", "RM6", "XGN15", "固体柜")
    var PIPE_MATERIAL_ARRAY = arrayOf("无", "PVC管", "波纹管", "镀锌钢管")
    var MARKER_TYPE_ARRAY = arrayOf("EM30", "EM50", "EM14")
    var VOLTAGE_LEVEL_ARRAY = arrayOf("0.4KV", "10KV", "35KV", "110KV", "220KV")
    var VOLTAGE_LEVEL_STATE_ARRAY = booleanArrayOf(false, false, false, false, false)
    var CROSS_PIPE_ARRAY = arrayOf("供水", "污水", "燃气", "热力", "石油", "有线电视", "其他")
    var CROSS_PIPE_STATE_ARRAY = booleanArrayOf(false, false, false, false, false, false, false)

    var POINT_TYPE_ARRAY = arrayOf("管线", "管线附属物", "管线特征管点", "交叉穿越点")
    var SPINNER_ARRAY = arrayOf("标识器ID", "所属区域", "所属线路", "所属道路", "权属单位", "安装部门", "安装时间", "备注")
    var DOWN_PIPE_TYPE_ARRAY = arrayOf("热力", "燃气", "供水", "电力", "通信")
    var BURY_METHOD_ARRAY = arrayOf("直埋", "圆管", "管块", "管沟", "架空")
    var COLOR_ARRAY = arrayOf("蓝色", "橙色", "红色", "黑色", "紫色", "黄色", "绿色")
}